/*
 * (C) 2001 Pete Wyckoff  <pw@osc.edu>
 *
 * Common types shared by both pvfs and pvfs-kernel.
 */

#ifndef __pvfs_types_h
#define __pvfs_types_h

typedef uint64_t pvfs_handle_t;
typedef uint64_t pvfs_off_t;
typedef uint8_t pvfs_char_t;

/* arch-identical struct dirent */
enum {
	PVFSNAMELEN = 1023
};
struct pvfs_dirent {
	pvfs_handle_t handle;
	pvfs_off_t off; /* offset to THIS entry, opaque for mgr */
	pvfs_char_t name[PVFSNAMELEN+1]; /* null terminated */
};


#endif  /* __pvfs_types_h */
/*
 * Local variables:
 *  c-indent-level: 3
 *  c-basic-offset: 3
 *  tab-width: 3
 *
 * vim: ts=3
 * End:
 */ 
